'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _path;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgForward30 = function SvgForward30(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 24 24",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _path || (_path = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "currentColor",
    fillRule: "evenodd",
    d: "M4 13c0 4.4 3.6 8 8 8s8-3.6 8-8h-2c0 3.3-2.7 6-6 6s-6-2.7-6-6 2.7-6 6-6v4l5-5-5-5v4c-4.4 0-8 3.6-8 8m5.651.492h.451q.323 0 .478-.16a.6.6 0 0 0 .155-.429.52.52 0 0 0-.153-.401q-.154-.144-.424-.144a.63.63 0 0 0-.407.134.43.43 0 0 0-.164.347H8.74q0-.335.18-.6a1.2 1.2 0 0 1 .504-.414q.324-.15.714-.15.676 0 1.06.324t.384.893q0 .293-.179.539-.178.246-.468.378.36.129.537.386.177.258.177.61 0 .568-.414.91-.414.345-1.097.344-.639 0-1.045-.337a1.1 1.1 0 0 1-.405-.89h.846q0 .24.18.392t.444.152q.303 0 .473-.16a.55.55 0 0 0 .172-.423q0-.639-.703-.639H9.65zm5.453.744q0 .885-.367 1.354-.366.468-1.072.469-.697 0-1.066-.46t-.378-1.319v-.785q0-.894.37-1.356t1.068-.463 1.067.458.377 1.317zm-.847-.861q0-.53-.145-.772t-.453-.242q-.299 0-.44.23-.143.23-.152.72v1.037q0 .521.143.775.141.253.455.253.311 0 .448-.243.138-.243.144-.744z",
    clipRule: "evenodd"
  })));
};

exports.ReactComponent = SvgForward30;
